task somaticFilter {
    
    String sample
    File varscan_snp_somatic_hc
    File varscan_snp_germline_hc
    File varscan_snp_loh_hc
    File varscan_indel_somatic_hc
    File varscan_indel_germline_hc
    File varscan_indel_loh_hc
    File varscan_indel

    String docker
    String cluster_config
    String disk_size

    command <<<
        java -Xmx12g -jar /opt/VarScan.v2.4.3.jar somaticFilter ${varscan_snp_somatic_hc} --min-coverage 10 --min-reads2 2 --min-strands2 1 --min-avg-qual 20 --p-value 0.1 --indel-file ${varscan_indel} --output-file ${sample}.VarScan.TN.SNP.Somatic.filter.vcf

        java -Xmx12g -jar /opt/VarScan.v2.4.3.jar somaticFilter ${varscan_snp_germline_hc} --min-coverage 10 --min-reads2 2 --min-strands2 1 --min-avg-qual 20 --p-value 0.1 --indel-file ${varscan_indel} --output-file ${sample}.VarScan.TN.SNP.Germline.filter.vcf

        java -Xmx12g -jar /opt/VarScan.v2.4.3.jar somaticFilter ${varscan_snp_loh_hc} --min-coverage 10 --min-reads2 2 --min-strands2 1 --min-avg-qual 20 --p-value 0.1 --indel-file ${varscan_indel} --output-file ${sample}.VarScan.TN.SNP.LOH.filter.vcf

        java -Xmx12g -jar /opt/VarScan.v2.4.3.jar somaticFilter ${varscan_indel_somatic_hc} --min-coverage 10 --min-reads2 2 --min-strands2 1 --min-avg-qual 20 --p-value 0.1 --output-file ${sample}.VarScan.TN.INDEL.Somatic.filter.vcf

        java -Xmx12g -jar /opt/VarScan.v2.4.3.jar somaticFilter ${varscan_indel_germline_hc} --min-coverage 10 --min-reads2 2 --min-strands2 1 --min-avg-qual 20 --p-value 0.1 --output-file ${sample}.VarScan.TN.INDEL.Germline.filter.vcf

        java -Xmx12g -jar /opt/VarScan.v2.4.3.jar somaticFilter ${varscan_indel_loh_hc} --min-coverage 10 --min-reads2 2 --min-strands2 1 --min-avg-qual 20 --p-value 0.1 --output-file ${sample}.VarScan.TN.INDEL.LOH.filter.vcf
    >>>

    runtime {
        docker: docker
        cluster: cluster_config
        systemDisk: "cloud_ssd 40"
        dataDisk: "cloud_ssd " + disk_size + " /cromwell_root/"
    }

    output {
		File varscan_snp_somatic_filter = "${sample}.VarScan.TN.SNP.Somatic.filter.vcf"
        File varscan_snp_germline_filter = "${sample}.VarScan.TN.SNP.Germline.filter.vcf"
		File varscan_snp_loh_filter = "${sample}.VarScan.TN.SNP.LOH.filter.vcf"
		File varscan_indel_somatic_filter = "${sample}.VarScan.TN.INDEL.Somatic.filter.vcf"
        File varscan_indel_germline_filter = "${sample}.VarScan.TN.INDEL.Germline.filter.vcf"
		File varscan_indel_loh_filter = "${sample}.VarScan.TN.INDEL.LOH.filter.vcf"
    }
}